Package org.eclipse.emf.cdo.common.lob

## Class CDOLobInfo

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobInfo

- Direct Known Subclasses:
    `CDOLob`

      public class CDOLobInfo
      extends java.lang.Object

  Encapsulates `ID` and `size` of a `large object`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOLobInfo​(byte[] id, long size)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `byte[]` | `getID()` | The identifier of this large object.
    `java.lang.String` | `getIDString()` | A string representation of the `identifier` of this large object.
    `long` | `getSize()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOLobInfo

          public CDOLobInfo​(byte[] id,
                            long size)

  - ### Method Detail

    - #### getID

          public final byte[] getID()

      The identifier of this large object. A SHA-1 digest of the content of this large object.

    - #### getIDString

          public final java.lang.String getIDString()

      A string representation of the `identifier` of this large object.
      Since:
        4.6

    - #### getSize

          public final long getSize()

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`